Nominate Beneficiary

Nominate a beneficiary for the electronic trade document. Commonly used in financing or collateralisation workflows.

File Upload Format (Base64 Data URI)

For endpoints that accept file inputs, files must be submitted as a Base64-encoded Data URI string in the document field.

Format
data:<mimeType>;name=<filename>;base64,<base64EncodedContent>

Example
json
{ "document": "data:application/octet-stream;name=BL-0xd7.tt;base64,ewogICJAY29udGV4dCI6IFsKICAgICJodHRwcz..." }

Notes

  • Beneficiary nomination does not transfer control
  • Approval required via redirect + passkeys

This API returns a URL with sessionId.
Use GET /auth/session-response?sessionId=<sessionId> to retrieve the session result.

Body Params
string
required

Identifier for the user's wallet which will be used to sign the nomination transaction.

string

The blockchain address of the nominee who will be designated as the new beneficiary once nomination is confirmed. Only one of beneficiaryNomineeAddress or beneficiaryNomineeDomain should be provided.

string

The domain of the nominee who will be designated as the new beneficiary once nomination is confirmed. Only one of beneficiaryNomineeAddress or beneficiaryNomineeDomain should be provided.

string

Optional structured remarks that will be encoded and stored within the nomination transaction.

file
required

Signed document object used to extract the token Identifier.

Headers
string

Unique key to ensure idempotency for API requests.

string

Unique external ID for tracking purposes, can be used for debugging and analytics.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json